Introducing FB Alpha

FB Alpha is an arcade emulator supporting the following platforms;

  • Capcom CPS-1
  • Capcom CPS-2
  • Capcom CPS-3
  • Cave
  • Data East DEC-0, DEC-8 and DECO IC16 based games
  • Galaxian based hardware
  • Irem M62, M63, M72, M90, M92 and M107 hardware
  • Kaneko 16
  • Konami
  • Neo-Geo
  • NMK16
  • Pacman based hardware
  • PGM
  • Psikyo 68EC020 and SH-2 based hardware
  • Sega System 1, System 16 (and similar), System 18, X-Board and Y-Board
  • Super Kaneko Nova System
  • Toaplan 1
  • Toaplan 2
  • Taito F2, X, Z and others
  • Miscellaneous drivers for lots of other hardware

FB Alpha also has WIP console/computer drivers for Sega Megadrive/Genesis, ColecoVision, Sega SG-1000, Sega Master System/Game Gear, MSX-1 and also PC-Engine/TurboGrafx 16/SuperGrafx.

FB Alpha can currently be obtained from https://www.fbalpha.com.


System Requirements

Operating System

You will need at least Windows XP to run FB Alpha. Windows 7 or later is highly recommended. You should have the latest DirectX runtimes installed.

If you are running Windows XP, then you will need to use the separately available Windows XP binary.

CPU & RAM

A CPU capable of running Windows XP or greater should be sufficient for most games. Exact requirements will vary by game and/or your chosen video and audio settings. You shouldn't have any issues with anything that even slightly resembles a modern CPU.

The minimum amount of RAM recommended is 192MB. Most people shouldn't have any problems with RAM these days.

Video

15/16/24/32 BPP displays are supported.

Basic Blitter: DirectDraw7 support is required. The Basic blitter will work with any videocard that supports the minimum requirements.

Enhanced Blitter:DirectDraw7 + Direct3D7 support is required. The Enhanced blitter will not work with every video card available, specifically older Voodoo cards (up Voodoo 3000) will not work.

Experimental Blitter: DirectX Graphics 9 support is required. The Experimental blitter has limited functionality with DirectX 8.1 compatible hardware, but needs DirectX 9 for full functionality. For optimal results, Geforce FX 5900 series or Radeon 9800 series (or faster) graphics cards are required. For these cards, select the appropriate filter version from the Advanced options submenu. For all other compatible cards (e.g. Geforce FX series or Radeon 8500 and higher), select the high-performance option.

DirectX9 Alt Blitter: Same as Experimental Blitter above.

Sound

Any sound hardware supporting DirectSound3 should work. Most people should have no problems.

Input

The keyboard and system mouse will always work. There is preliminary support for additional mice, and devices such as the X Arcade joystick which act as a keyboard are supported. All standard or DirectInput8 compatible joysticks/joypads, and mice should work.


Game Menu

Load Game | Opens the Game Select Dialog to choose a game to load.
Play via Kaillera | Opens the Game Select Dialog to choose a game to load for netplay.
Most recent games | Displays the ten most recent games. Click on one to start that game.
Start Neo Geo Multi-slot | Opens the NeoGeo MVS Multislot Game Select Dialog.
Load Neo Geo CDZ game | Opens the NeoGeo CDZ Game Select Dialog.
Select CD Image (ISO/CUE) | Opens a file select dialog, which allows you to choose and ISO/CUE CD image to use with the Neo Geo CDZ driver.
Start Neo Geo CDZ | Starts the Neo Geo CDZ emulation, using the current loaded ISO/CUE CD image.
Exit Game | Closes the current game.
Pause Game | Pauses the current game.
Adjust CPU speed | Allows you to over or underclock the games CPU. Only some drivers support this.
Reset CPU speed to 100% | Turns off any over or underclocking of the games CPU.
Create new memory card | Creates a new memory card file (only used by the Neo Geo driver).
Select Memory Card | Allows you to select a memory card file (only used by the Neo Geo driver).
Insert Memory Card | Inserts the currently selected memory card (only used by the Neo Geo driver).
Eject Memory Card | Ejects the current memory card (only used by the Neo Geo driver).
Replay Input | Prompts for an input recording file (.FR), loads the game and plays back the input recording.
Record Input | Start recording an input recording file (.FR).
Stop Replay/Record | Stops the current playing back or recording of an input recording.
Load State | Prompt for a savestate file (.FS) to load from disc.
Save State | Saves the games state to a savestate file (.FS). This can be used to save your current game for later play.
Activate Previous Slot | Activates the previous savestate slot.
Activate Next Slot | Activates the next savestate slot.
Load state from active slot | Loads the savestate from the current selected slot.
Save state to active slot | Saves the savestate to the current selected slot.
Undo last state save | Undoes the last save state in the active slot.
Restore full state on load | This option will automatically take a savestate when you exit a game and load that state when you load the game.
Record AVI | Opens the codec selection dialog ready to start recording an AVI file.
Stop recording | Stops recording an AVI file.
Exit Emulator | Exits the application.


Video Menu

Select blitter | Select which blitter to use.
Blitter options | Configure the selected blitter (see below).
Stretch | Choose between Normal, Full, or Correct Aspect Ratio. The recommended setting is Correct Aspect Ratio to preserve the games original look.
Enable Gamma Correction | Enables gamma correction.
Darken mid-tones, Lighten mid-tones, Other Gamma value | Allows you to configure the gamma value to use.
Use video hardware when possible, use video hardware exclusively, use software exclusively | Tells FB Alpha how to apply the gamma correction. Recommended setting is Use video hardware exclusively unless this gives you problems.
Window size | Determines the size of the window when not in fullscreen. Choose between Auto, Single Size, Double Size, Triple Size, Quadruple Size, or Maximise.
Toggle fullscreen mode | Switch to fullscreen.
Auto Switch to Fullscreen after loading | Enabling this option will automatically switch to fullscreen after you load a game from the Game Select Dialog.
Full Screen Resolution | Allows you to set the fullscreen resolution to use. This can be configured independently for hoziontal and vertical games. You can select between Arcade (which attempts to use the games native resolution, Single Size, Double Size, Triple Size, Quadruple Size or you can specify a specific resolution to use.
Fullscreen bitdepth | Allows you to choose between 16-bit, 24-bit and 32-bit colour modes for use in fullscreen.
Choose Fullscreen Monitor | Opens the Choose Monitor for Full Screen dialog.
Automatically detect aspect ratio | If this is enabled FB Alpha will automatically attempt to determine the aspect ratio of your monitor.
Normal CRT, Normal LCD, Widescreen CRT, Widescreen LCD aspect ratio | Select the one that best describes your monitor. This will help to preserve the look of the original game. This option will be selected for you automatically if the Automatically detect aspect ratio item is enabled.
Mirrored vertical alignment | If enabled will mirror the aspect ratio settings for vertical games.
Rotate vertically aligned games | If this option is enabled then vertical games will be rotated by FB Alpha. Only disable this if you want to align your monitor vertically to play vertical games.
Force 60hz refresh rate | This option will force the video to ouput at 60hz. This will help to eliminate tearing but may induce other problems.
Enable Triple Buffering (Fullscreen) | Use a triple buffer in fullscreen.
Enable VSync (Windowed) | Enabling this will help to eliminate tearing in Windowed mode but you may see slightly juttering scrolling.
Auto frameskip | This will skip frames in the video output if necessary to keep the game running at fullspeed. This is only necessary for slower computers but it is recommended to leave it on for all computers.

Basic (DirectDraw 7) Blitter Menu

No Effects | Turns off all effects.
Scanlines | Will turn on a scanline effect.
Scanlines 50% | Will turn on an alternative scanline effect.
Rotate scanlines | If this is enabled then scanlines will be rotated for vertical games.
Force Flip | Forces hardware flipping for games that require it. This is usually detected as an available feature, but due to DirectDraw being old, the support doesn't usually get detected. This option will force the flipping if a game needs it. This is best used with the System Memory Buffering Method. This option will likely force Windows to disable Aero and revert to basic settings, and is therefore recommended for older computers still using Windows XP only. If you are using a version of Windows newer than XP then you should be using the Enhanced or DirectX 9 blitters.
Buffering Method | Choose between Autodetect, Video memory, and System memory. The recommended setting is Autodetect unless this causes you problems.

SoftFX (DirectDraw 7) Blitter Menu

Filter List | Choose a graphics filter to apply. These will only work with the colour depths specified.
Force image to SoftFX size | Will force the video image to the selected filter size.
Buffering Method | Choose between Autodetect, Video memory, and System memory. The recommended setting is Autodetect unless this causes you problems.
Directly access video memory | Leave this enabled unless it causes you problems.

Enhanced (Direct3D 7) Blitter Menu

Disable all effects | Turns off all effects.
Enable bi-linear filtering | Enables bi-linear filtering.
Rotate scanlines and RGB effects | If this is enabled then scanlines and RGB effects will be rotated for vertical games.
Enable Pre-scale | Enables pre-scale for use with the SoftFX filters.
Pre-scale using SoftFX | Turns on prescaling using SoftFX.
SoftFX Algorithm | Choose a SoftFX filter to apply to the video.
Force image to SoftFX size | Will force the video image to the selected filter size.
Enable scanlines | Will turn on a scanline effect.
Set scanline intensity | Allows you to set the scanline intensity.
Enable phosphor feedback | Will turn on a phosphor feedback effect.
Set phosphor feedback intensity | Allows you to set the phosphor feedback intensity.
No Effects, RGB Effects, 3D Projection | Allows you to turn on RGB Effects, 3D Projection or turn off all RGB and 3D Projection effects.
Auto size scanlined RGB preset | Enabling this will auto size any scanlined RGB presets.
Manually select RGB preset | Allows you to select and RGB preset to use.
Set 3D Projection properties | Allows you to set the 3D Projection Angle and Fishbowl factor.
Force 16-bit emulation | It is recommended to leave this off, as it will break games that require 32-bit colour depths.
Use DirectX texture managment | It is recommended to leave this on.

Experimental (DirectX Graphics 9) Blitter Menu

Enable point/linear/cubic filtering | Enable point, linear or cubic filtering.
Cubic filter quality | Set the quality of the cubic filter.
Enable point/linear/cubic filtering | Enable point, linear or cubic filtering.
Enable scanlines | Will turn on a scanline effect.
Set scanline intensity | Allows you to set the scanline intensity.
Single-pass, Multi-pass, High performance | See the Experimental Blitter section of System Requirements for details.

DirectX 9 Alt (DirectX Graphics 9) Blitter Menu

Enable point/linear/ filtering | Enable point or linear filtering.
SoftFX Algorithm | Choose a SoftFX filter to apply to the video.
Hardware vertex processing | Enable hardware vertex processing.
Motion blur | Enable motion blur.


Audio Menu

Select plugin | Select the audio plugin to use.
Plugin options | Configure the selected plugin (see below).
2-point 1st order sample interpolation | Enable sample interpolation on some of the APDCM cores.
4-point 3rd order sample interpolation | Enable higher quality (but slower) sample interpolation on some of the APDCM cores.
Disable FM interpolation | Disable interpolation on the FM cores.
4-point 3rd order FM interpolation | Enable sample interpolation on the FM cores.
Sound Logging | Start or stop logging sound to a file.
Buffer Size | Set the number of frames to buffer sound for. Most users shouldn't need to change this.

DirectSound Audio Plugin Menu

Use Low-pass filter | Enable a low-pass filter.
Sound Disabled | Disable sound.
11025Hz, 22050Hz, 44100Hz, 48000Hz Sample Rate | Set the sound frequency. Higher is better quality but slightly slower.

XAudio2 Audio Plugin Menu

Use Low-pass filter | Enable a low-pass filter.
Use Reverb | Enable a reverb filter.
Sound Disabled | Disable sound.
11025Hz, 22050Hz, 44100Hz, 48000Hz Sample Rate | Set the sound frequency. Higher is better quality but slightly slower.


Input Menu

Select plugin | Select the input plugin to use - currently does nothing.
Auto-Fire Rate | Sets the rate (speed) of auto-fire). Options available are Slow, Medium, Fast and Very Fast.
Map Game Inputs | Opens the game inputs dialog.
Set dipswitches | Opens the game dipswitch dialog.


Misc Menu

Auto Pause | Will automatically pause the emulator if it loses focus or you switch to another window.
Always process keyboard input | Will process the keyboard input.
Display Mode Indicator | Will show an indicator telling when the emulator is paused, recording, etc.
Don't change Num Lock status | Enabling this will stop FB Alpha from changing the Num Lock status when starting or exiting. Enabling this option means that you will manually have to control the Num Lock status if you want to use Hotrod or X-Arcade sticks.
Create support folders at runtime | Disabling this will prevent FB Alpha creating the support file folders at program start.
Set application thread priority | Set the applications thread priority. Set it to higher to go faster, or lower to be more co-operative with multi-tasking windows apps.
Save high scores when supported | Enable this to turn on high score saving. See the Support File Path Dialog section for more information.
Use alpha blend effects when supported | Enable this to turn on alpha blend effects for supported games. See the Support File Path Dialog section for more information.
Display Gear-Shift Indicator when supported | Show the current gear on-screen for games that support it. This is usually a L for low gear, and a H for high gear.
AVI Writer Output Size | Multiplier to scale the resolution when writing an AVI file, options are 1x, 2x, 3x.
Generate dat file | Generate dat files for use with rom managers. FB Alpha can output dat files in the clrmamepro (xml format). You can choose to ouput a dat file for the arcade games, or a console/computer specific dat file (for Megadrive, PC-Engine, TurboGrafx 16, SuprGrafx, Sega SG-1000, ColecoVision, Sega Master System, Game Gear, or MSX-1).
Generate all dats | Generate dat files for use with rom managers. FB Alpha can output dat files in the clrmamepro (xml format). This option outputs all dat files to the folder selected.
Configure ROM paths | Open the Rom Path Dialog.
Configure support file paths | Open the Support File Path Dialog.
UI Language | See the Localising the Application section for more information.
Gamelist Language | See the Localising the Gamelist section for more information.
Enable driver icons display | Enables game icons in the Game Selection Dialog.
Icon size | Choose between 16 x 16, 24 x 24, or 32 x 32.
Save Snapshot | Saves a snapshot in the screenshot folder.
Shot Factory | Opens the Shot Factory Dialog.
Enable Cheats | Opens the Cheat Dialog to allow you to apply cheats. This item is only enabled if you have a valid cheat file in the cheat support file folder.
Start New Search | Will start a new cheat search.
Target value has not changed | Tell the cheat search that the value you are looking for has not changed.
Target value has changed | Tell the cheat search that the value you are looking for has changed.
Target value has decreased | Tell the cheat search that the value you are looking for has decreased.
Target value has increased | Tell the cheat search that the value you are looking for has increased.
Dump search to file | Dumps all the remaining addresses and values from a cheat search into a file called cheatsearchdump.txt in the FB Alpha root folder.
Exit Cheat Search | Exits the cheat search mode.
Palette Viewer | Opens the Palette Viewer Dialog.
Associate with .fs and .fr files | Associates .fs and .fr files with windows so that you can open FB Alpha using one of these files from explorer.
Disassociate with .fs and .fr files | Removes the association with .fs and .fr files from Windows.
Save input mapping now | Will save the input and dip switch settings for the current game to the games config file.
Auto-save input mapping | If this is enabled then FB Alpha will automatically save the input and dip switch settings for the current game to the games config file when you close the game.
Save settings to .ini now | Will save the application settings to the .ini file. This also happens automatically when you close the application.
Reload settings from .ini | Will reload the application settings from the .ini file.


Help Menu

Help | View this file.
What's New | View the what's new document.
FB Alpha hompage | Visit the FB Alpha homepage.
FB Alpha Forums | Visit the FB Alpha forums.
Neo-Source Forums | Visit the Neo-Source forums - this forum is active and is the best place to report bugs or discuss FBA.
System Information | View information about your system.
About FB Alpha | View the About dialog containing the license and version info.


Game Select Dialog

The purpose of this dialog is to choose a game to play. When you click on a game in the list the dialog will display a preview image of the game if you have a PNG file in the folder you have defined as your previews folder with the games short name (the same applies to a screenshot of the games title screen, if a file exists in the titles folder). The info panel under the gamelist will also be refreshed and will display information about the game.

To play a game either double-click on it in the list, or select it and press the Play button.

The game list can be filtered using any of the filters in the dialog. This allows you to filter by Hardware, Favorites, Genre, Family (Game Series), or Board Type. Once you (de)select a filter the game list is automatically refreshed. (De)selecting a parent filter will (de)select all the child filters below it. You can also search using the search box in the dialog. Typing in this box will filter the gamelist based on what you typed.

The games in the list may have status icons next to them. These are;

This game doesn't work.
This game wasn't found when the roms were last scanned.
Some non-essential roms for this game were not found when the last scan was done.

The following options are available in the Options section of the dialog;

Show Available | Filters the gamelist to show games available on your system (ie, that you have the roms for).
Show Unavailable | Filters the gamelist to show games unavailable on your system (ie, that you don't have the roms for).
Always show clones | Will expand the gamelist to show clone games without the user having to click the "+" on the parent.
Use zipnames | Will show the games shortname before the main title.
Latin text only | Will show only Latin text in the games title.

There are two buttons with these options. The first is ROMs Dirs.... Clicking this button will bring up the Rom Path Dialog. The second is Scan ROMs. This will rescan your roms so the emulator knows what you have available. If you add games into the Rom paths then click this button to rescan for them.

Under the info panel is some information relating to the number of sets displayed and the number unavailable.

To get information about the roms and/or samples required by a game, select the game in the list and then click the Rom Info button.

If a game has IPS patches available, then the IPS Manager button becomes enabled when you click on the game in the gamelist. Clicking this button will bring up the IPS Manager Dialog. If you configure some patches to apply then the Apply Patches checkbox becomes available. Checking this box will enable the patches to be applied when you click the Play button.

You can view game information, by clicking on the Game Info button. This opens the Game Information Dialog.

You can also right-click on a game in the list to open a context menu. Pressing Play from this menu, will play the game highlighted. View Game Information will open the Game Information Dialog. View in Progetto EMMA will open the games information page on Progetto EMMA (external web link). Favorite will add the game to your Favorites, which are available from the filters.

The dialog is resizable. You can drag any edge or any corner and the dialog controls will move/resize as appropriate. The dialog size is restored on entry and saved when the program is exited.


Game Information Dialog

This dialog allows you to view various items of information about the highlighted game. This includes driver information, rom/sample information and various details from external support files (images/history.dat entries, etc.)

Simply click on the different tabs to select the information you want to view.

The Rescan Romset button allows you to rescan the indivdual romset for the highlighted game. The Favorite checkbox allows you to add/remove the game from your favorites filter in the Game Selection dialog.

The Close closes the dialog box.


Game Select Dialog

FB Alpha

NeoGeo MVS Multislot Game Select Dialog

The purpose of this dialog is to choose which Neo-Geo MVS games to load. There are six slots available in which a game can be loaded. To load a game in a slot, click the relevant Select button. This will open the Game Select Dialog, showing only MVS cartridges, allowing you to choose a game to load in the slot. To clear a game from a slot, click the relevant Clear button.

When you have made your selections, click the OK button to start the MVS Multislot driver with your games loaded. Once you enter a credit, before starting a game you can select which game to play by pressing the select buttons. By default these are mapped to 3 and 4 on your keyboard. Pressing these buttons will cycle through the games you have loaded.

Your slot selections are saved when the dialog is closed.


Neo Geo CDZ Game Select Dialog

The purpose of this dialog is to choose a Neo Geo CDZ game to play. When you click on a game in the list the dialog will display images of the games cd covers, if you have PNG files in the folder you have defined as your Neo Geo CDZ Covers folder with the games four digit NGCD-ID code, appended with either -front or -back, eg, 0030-front.png. The info panel under the gamelist will also be refreshed and will display information about the game.

To play a game either double-click on it in the list, or select it and press the Play button.

When you enter the dialog, a scan will take place of the ISO/CUE files in the folder you have defined as the Neo Geo CDZ games folder. If a game is recognised it is added to the dialog list. To force the scan to run again you can click the Scan Games button. You can force the scan to look in sub-directories of the folder you defined by selecting the Scan sub-dirs option. You can also force the scan to look for ISO's only and ignore CUE files by selecting the Scan for ISO only option.

You can use the Directories button to open the Support File Path Dialog to change the folders to use for the games and/or covers.

To view a full-size image of the covers, you can click on a cover image to open the image in a larger dialog box.


IPS Patch Manager Dialog

The IPS Patch Manager allows you to configure IPS patches. IPS patches can be used to change a game, for example, they can enable hidden characters, provide cheat functionality, translations or all sorts of other possibilities.

When you enter the IPS Patch Manager you will see a list of the available patches. These are grouped by their category. If you click on a patch then you will see an image preview of it to the right of the list and a description in the textbox below. To enable patches simply check them and click the OK button. This will save the configuration and you can then use the Apply Patches checkbox in the Game Select Dialog.

You can change the language used to display the patches by choosing it from the dropdown. If there is no data available for your selected language then the reference language will be used.

You can deselect all patches by clicking the Deselect All button.


Inputs Dialog

This dialog is used to define the controls used to control a game. The available inputs are listed. Double click on an input to open up a dialog box that allows you to map the control you want to use for that input.

As well as inputs for the game being emulated, there can also be various extra inputs for Auto-Fire or macros for simulating multiple button presses with one input.

You can also choose from various presets by using the dropdown boxes below the inputs. Simply select the player from the first box, the controller from the second, and the control type from the third. The control type can be Auto-center or Normal. Once you have made your selection click Use preset to change the inputs for the selected game or click Make default to make your selection be the default for all games which have not been currently configured.

You can create presets by clicking the Save preset button. This will save a file with the current input definitions in a hardware specific file. If you are playing a CPS game, the file will be called cps.ini, for Neo-Geo games, the file will be called neogeo.ini, for PGM games the file will be called pgm.ini, and for all other games the file will be called preset.ini.

Controls are first assigned from the games specific ini file. If that isn't found, then the hardware specific ini file is tried (cps.ini, neogeo.ini, pgm.ini). If this isn't found then the default preset (applied by clicking Make default) is tried. If this isn't found then the application's default controls are mapped.


Dip Switch Dialog

Some arcade games used Dip Switches to configure things like difficulty or coinage. This dialog allows you to change these settings for games that had these switches.

To change a setting, simply select it from the list and then make your changes in the dropdown box below. Once you are finished click OK to save your changes. Most games will require a reset for the changes to take effect.

To reset the settings back to the defaults simply click the Defaults button and then press OK to save.


Cheat Dialog

If you have cheats for a game in the cheat support file path then you can enable these cheats in this dialog.

FB Alpha will look for cheats in it's own format or the Nebula/Kawaks format. For the FB Alpha format the file should be named after the games short name with an INI file extension, for the Nebula/Kawaks format the file should have the DAT file extension. FB Alpha will also look for cheats in the old MAME format cheat.dat file.

To change the status of a cheat simply select it in the list and then change it in the dropdown. To save your changes and return to the game click OK. To change the cheats back to the default status you can click Default and then click OK to save the changes and return to the game.


Rom Path Dialog

This dialog allows you to configure the folders that FB Alpha will search for roms. You can configure up to 20 folders to search in. Simply select the folder number from the tabs and then click Browse... to select the folder. Once you have finished click OK and if you have made any changes then FB Alpha will scan your roms.

The last ten folders (numbers 11 to 20) are special supplementary cases. Usually FB Alpha will take the first file for a rom it finds and ignore any in the later folders. Any files placed in the last ten folders will be searched as well as the first file found. So, if you have some roms that require extra files than that found in MAME (the Neo-Geo bios is a good example), then you could put the extra files in ones of these folders.

It is recommended to put the console (Megadrive/PC-Engine/Sega SG-1000/Colecovision/Master System/Game Gear) games in one of these special paths to prevent conflicts. Although, internally, FB Alpha uses an md_ prefix for the Megadrive games shortnames, either a pce_, tg_, or sgx_ prefix for PC-Engine games shortnames, cv_ for Colecovision game shortnames, sg1k_ for Sega SG-1000 game shortnames, sms_ for Sega Master System game shortnames, and gg_ for Sega Game Gear game shortnames this prefix should not be applied to the zipfiles the roms are stored in. This means you can point some of the supplementary rom paths at your MESS software list folder(s) for Megadrive, PC-Engine, TurboGrafx 16, SuperGrafx, ColecoVision, Sega SG-1000, Sega Master System or Game Gear and you're done.

DO NOT ASK US WHERE TO FIND ROMS. They are copyrighted and we can't help you.


Support File Path Dialog

FB Alpha

Support File Dialog

This dialog allows you to configure the folders to search for support files. Simply select the type of support file you want to configure from the tabs and click Browse... to configure the folder to use for those files. Press OK when you have finished to save the changes.

Most support files are named after a games short name. This is a unique name and can be found in the Game Select Dialog by enabling the Use Zipnames option. For example if you wanted to place a preview file for X-Men vs. Street Fighter you would call it xmvsf.png.

To use the support files they should be placed in the folder which you have configured.

The table below gives an overview of all the support files and how they should be named.

Previews | This will display an in-game preview image in several dialog boxes. The files should be named shortgamename.png.
Titles | This will display an image of the game's title screen in the Game Selection Dialog, and the Game Info Dialog. The files should be named shortgamename.png.
Icons | This will display an icon for the game's in the Game Selection Dialog. The files should be named shortgamename.ico.
Cheats | These files provide cheat functionality for the Cheat Dialog. Cheat files can be in one of three formats. The FB Alpha format requires a filename of shortgamename.ini, the Nebula/Kawaks format requires a filename of shortgamename.dat and the old MAME format requires all the cheats in the one cheat.dat file.
High Scores | You can use this file to save high scores in your games. Place the hiscore.dat file in the folder you configure and enable the Save high scores when supported option from the Misc menu. High scores will only be saved for games that have support for it flagged.
Samples | Some games require sound samples recorded from the original games in order to recreate the full sound of the original. The samples required by FB Alpha are the same as those required by MAME.
IPS | This will enable IPS Patches if the patches are placed in this path. See the IPS Manager Dialog for more information.
Neo Geo CDZ Games | Keep any Neo Geo CDZ games you have in this folder and they will be shown in the Neo Geo CDZ Game Select Dialog.
Neo Geo CDZ Covers | This will display the cover for Neo Geo CDZ games. See the Neo Geo CDZ Game Select Dialog for more information.
Blend Files | These files provide alpha blending functionality for the supported games (currently Capcom CPS-1/CPS-2 and Neo Geo). The blend file format requires a filename of shortgamename.bld.
Select Previews | This will display an image of the game's select screen in the Game Info Dialog. The files should be named shortgamename.png.
Versus Previews | This will display an image of the game's versus screen in the Game Info Dialog. The files should be named shortgamename.png.
HowTo Previews | This will display an image of the game's howto screen in the Game Info Dialog. The files should be named shortgamename.png.
Scores Previews | This will display an image of the game's high score screen in the Game Info Dialog. The files should be named shortgamename.png.
Bosses Previews | This will display an image of the game's bosses screen in the Game Info Dialog. The files should be named shortgamename.png.
Game Over Previews | This will display an image of the game's game over screen in the Game Info Dialog. The files should be named shortgamename.png.
Flyers | This will display an image of the game's flyer in the Game Info Dialog. The files should be named shortgamename.png.
Marquees | This will display an image of the game's marquee in the Game Info Dialog. The files should be named shortgamename.png.
Control Panels | This will display an image of the game's control panel in the Game Info Dialog. The files should be named shortgamename.png.
Cabinets | This will display an image of the game's cabinet in the Game Info Dialog. The files should be named shortgamename.png.
PCBs | This will display an image of the game's PCB in the Game Info Dialog. The files should be named shortgamename.png.
History.dat | The location of the history.dat file. This file provides various details of the game in the Game Info Dialog.
EEPROM Saves | Games that use NVRAM or EEPROMs will save their data in this folder.


Palette Viewer Dialog

This dialog allows you to view the games palette. It isn't supported by all drivers, but most do support this feature.

256 palette entries are displayed on screen at once, and the Previous... and Next... buttons move between the entries in mutliples of 256.

The Close closes the dialog box.


Shot Factory Dialog

This dialog can be used to enable/disable parts of the games layers and then take a screenshot. This can be useful for sprite capture or similar tasks.

To enable or disable a layer simply check or uncheck it in the list. To take a screenshot click Capture, to advance a frame click Advance Frame. When you are finished click Done to close the dialog.

Not all games support the dialog, and those that do may not have all the layers that are displayed in the dialog.


Choose Monitor for Full Screen Dialog

This dialog can be used to choose which monitor to use for running games in full screen. This is useful if you have a multi-monitor setup.

You can select a different monitor for horizontal and vertical games if desired. Simply select the required monitor from the dropdowns and press the OK button.


Keys

F6 | Open game selection dialog.
CTRL and F6 | Start a game via netplay.
F5 | Open inputs dialog.
CTRL and F5 | Open dip switch dialog.
CTRL and F4 | Exit Game.
ALT and F4 | Exit emulator.
Pause | Pause the emulation.
F1 | Hold to fast forward emulation.
ALT and Enter | Switch to fullscreen.
Esc | Return to windowed mode from fullscreen.
ALT and + | Volume up.
ALT and - | Volume down.
Backspace | Toggle Frames per Second display.
T | On-screen chat (netplay only)
F7 | Insert or eject a memory card.
CTRL and F7 | Select memory card.
CTRL, SHIFT and F7 | Create a memory card.
CTRL and F9 | Load savestate.
CTRL and F10 | Save savestate.
F8 | Activate previous savestate slot.
F11 | Activate next savestate slot.
F9 | Load savestate from active slot.
F10 | Save savestate to active slot.
Shift and F8 | Undo savestate in active slot.
F12 | Save screenshot.
CTRL and F12 | Open shot factory.
CTRL, SHIFT and F1 | Invoke debugger (debug builds only).
CTRL and F1 | Enable cheats.
CTRL and HOME | Start New Cheat Search.
CTRL and / | Cheat value not changed.
CTRL and * | Cheat value changed.
CTRL and + | Cheat value increased.
CTRL and - | Cheat value decreased.
Double-click on game screen | Enter full screen.
Right-click on game screen | Show/hide menu bar.


Command Line

FB Alpha can be invoked with command line options. When invoked this way, FB Alpha will automatically switch to fullscreen mode when a game is loaded, and the Escape key quits FB Alpha. The options are as follows;

fba <game> [-listinfo|-w|-a|-r <width>x<height>x<depth>]

<game> = The game's romname. You can specify the filename of a savestate or input recording instead.
-w = Run in a window instead of fullscreen.
-a = Use the same resolution as the original arcade game.
-r = Specify a resolution. Depth is optional.

If neither -a nor -r are specified, the default fullscreen resolution is used.

Examples:

fba sfa3 -r 800x600x32

fba awesome_sfzch_recording.fr -w

fba vsav2 -a

For front-ends, you can also do fba -listinfo, -listinfomdonly, -listinfopceonly, -listinfotg16only, -listinfosgxonly, -listinfosg1000only, -listinfocolecoonly, or -listinfosmsonly, -listinfoggonly, or -listinfomsxonly which will output information about the supported games to stdout, and the ROM files they need in the MAME XML format.

You can also do fba -listextrainfo. This will output the following data in a tab-delimited format to stdout; setname, visible size, aspect ratio, hardware code, hardware description, working status, max players, comments.


Creating Presets

FB Alpha

Creating Input Presets

You can create preset controls that can be listed in the Inputs Dialog for you to select.

To do this you need to create an .INI file in the config\presets folder. An example is included with FB Alpha in the zip file preset-example.zip.

In the .INI file it it is possible to use specific names such as "P1 Low Punch" or generic names such as "P1 Fire 1". When a game is allocating inputs it will look for specific name first, and then the generic ones.

A good starting point can be take the .INI file for a game, copy it to the config/presets folder and rename it to what you want your preset to be called and then edit that file.


Cheat Format

Below is a short description of the FB Alpha cheat file format. Cheat files must be placed in the cheats support file folder, and named according to the short name/name of the zip file containing the ROMs, with the extension being either .INI (e.g. 1941.zip becomes 1941.ini). FBA will present a warning and some additional info whenever it encounters an error in a cheat file, and will stop processing the file at that point.

Cheat File Format
// Text | Comment
include "filename" | Include another cheat file
cheat "cheatname" { | New cheat called "cheatname" (the curly bracket is optional)
type n | Specify cheat type (optional, defaults to 0) type 0 = apply each frame, save original value and remain active type 1 = one-shot, fire and forget; type 2 = one-shot, save original value and remain active
default n | Set default option to n (0 <= n <= 95)
0 "name" | Text displayed in the cheat dialog when the cheat is disabled
n "name", o, p, q | Add option n (1 <= n <= 95), called "name" Store byte value q at address p in the address space of CPU o You can specify upto 32 o/p/q groups per option, all must be on the same line
} | Required if you used a curly bracket above, considered an error otherwise


Localising the Application

The application can be localised using templates. To generate a template click on the Misc Menu, then UI Language, Export UI translation template....

Save the template where you want and then open it in a text editor. Localise the strings by amending them and saving the file.

To enable your localisation, click on the Misc Menu, then UI Language, Select UI Language and then open your template.

To remove an applied template, click on the Misc Menu, then UI Language, Reset UI default Language.

It is also possible to download localisation files from within the program. To do this, click on the Misc Menu, then UI Language, Download UI language. This will open a dialog showing the languages available for download. Once you select a language press the OK button the template will be downloaded and applied.


Localising the Gamelist

The gamelist can be localised using templates. To generate a template click on the Misc Menu, then Gamelist Language, Export gamelist translation template....

Save the template where you want and then open it in a text editor. The file is a tab-delimited text file, containing the games shortname and longname. Simply localise the longnames and save the file. If you are using multi-byte characters and need to use a different codepage than the system default, then uncomment the codepage line at the top of the file (remove the // ), and change the number to the relevant codepage.

To enable your localisation, click on the Misc Menu, then Gamelist Language, Select gamelist Language and then open your template.

To remove an applied template, click on the Misc Menu, then Gamelist Language, Reset gamelist default Language.

You can use MAME+ LST files for the template. Simply rename the file's extension to glt (eg, if the file is called mame_kr.lst, change it to mame_kr.glt), and add any necessary codepage definition if required. FB Alpha will ignore any extra text after the first two tab-delimited tokens.


Acknowledgments

The original FBA Team was Jan_Klaassen, LoopMaster, KEV, Mike_Haggar, TrebleWinner (Barry), Ayeye and HyperYagami.

There have also been big contributions from iq_132, Captain CPS-X, JacKc, dink and OopsWare.

Individual acknowledgements are also credited in the whatsnew.html file distributed with FB Alpha.

The current active Team is Barry, KEV, iq_132, JackC and dink.

The following is the original acknowledgements from the old readme.txt;

"Thanks to: Dave, ElSemi, Gangta, OG, Razoola, Logiqx, TRAC, CrashTest, Andrea Mazzoleni, Derek Liauw Kie Fa, Dirk Stevens, Maxim Stepin, the MAME team, Shawn and Craig at XGaming.

Thanks also to everyone who has made suggestions, submitted code, or helped in any other way."